language: emacs-lisp
before_install:
  # PPA for stable Emacs packages
  - sudo add-apt-repository -y ppa:cassou/emacs
  # PPA for Emacs nightlies
  - sudo add-apt-repository -y ppa:ubuntu-elisp/ppa
  # Update and install the Emacs for our environment
  - sudo apt-get update -qq
  - sudo apt-get install -qq -yy ${EMACS}-nox ${EMACS}-el

env:
  - EMACS=emacs24
  - EMACS=emacs-snapshot
script:
  - emacs --version
  - make update
  - make test
